# e.g. 10.6.1 -> 10.6
default['arcgis']['short_version'] = node['arcgis']['version'].to_f.to_s

# Used to to skip steps that do not have s3 access.
# This will be used for Private Image Build Service
default['s3_access'] = true

case node['platform']
when 'windows'
  default['temp_dir'] = 'C:\\temp'
  default['s3_bucket'] = 'winamisetup2'
  default['s3_basescripts_windows'] = 'basescripts/windows'
  default['s3_bucket_region'] = 'us-east-1'
  default['roam_localhost_dir'] = "C:\\Users\\Administrator\\AppData\\Roaming\\ESRI\\Desktop#{node['arcgis']['short_version']}\\ArcCatalog"
  default['data_dir'] =  'D:\\data'
  default['geodatabase_dir'] =  "#{node['data_dir']}\\geodatabase"
  default['ds_content'] = 'D:\\arcgisdatastore'
  default['ds_log'] = 'D:\\\\arcgisdatastore\\\\logs'
  default['portal_log'] = 'D:\\\\arcgisportal\\\\logs'
  default['server_log'] = 'D:\\\\arcgisserver\\\\logs'
  default['server_directories'] = 'D:\\arcgisserver'
when 'ubuntu'
  default['temp_dir'] = '/tmp'
  default['setup_dir'] = node['temp_dir'] + '/setups'
  default['PGDATA'] = '/gisdata/data/pgdata/main'
  default['PGUSER'] = 'postgres'
  default['PGPASSWORD'] = 'postgres'
  default['ds_content'] = '/gisdata/arcgisdatastore'
  default['ds_log'] = '/gisdata/arcgisdatastore/logs'
  default['portal_content'] = '/gisdata/arcgisportal'
  default['portal_log'] = '/gisdata/arcgisportal/logs'
  default['server_log'] = '/gisdata/arcgisserver/logs'
end
