#
# Cookbook:: arcgis-aws2
# Recipe:: clean
#
# Copyright:: 2018, The Authors, All Rights Reserved.

case node['platform']
when 'windows'
  %W{
  C:\Users\Administrator\Documents
  #{node['portal_log']}
  #{node['server_log']}
  #{node['ds_log']}
  #{node['arcgis']['server']['install_dir']}\\usr\\logs
  #{node['arcgis']['server']['install_dir']}\\framework\\etc\\service\\logs
  }.each do |dir|
    directory dir do
      recursive true
      action [:delete, :create]
    end
  end

  powershell_script 'Clear Event Logs' do
    code <<-EOH
      $logs = get-eventlog -list | foreach {$_.Log}
      $logs | foreach {clear-eventlog -log $_ }
      get-eventlog -list
    EOH
  end

  %w{
  HKCU\\Software\\Microsoft\\Windows\\CurrentVersion\\Explorer\\RunMRU
  HKCU\\Software\\Microsoft\\Windows\\CurrentVersion\\Explorer\\UserAssist
  HKCU\\Software\\Microsoft\\Windows\\CurrentVersion\\Explorer\\TypedPaths
  }.each do |key|
    registry_key key do
      recursive true
      action [:delete_key, :create]
    end
  end

  powershell_script 'Deleting Internet Explorer History' do
    code <<-EOH
      Start-Process RunDll32.exe "InetCpl.cpl,ClearMyTracksByProcess 1" -NoNewWindow -Wait
    EOH
  end

  powershell_script 'Clear Recycle Bin' do
    code <<-EOH
      $objShell = New-Object -ComObject Shell.Application
      $objFolder = $objShell.Namespace(0xA)
      $objFolder.items() | %{ remove-item $_.path -Recurse -Confirm:$false}
    EOH
  end

  directory node['temp_dir'] do
    recursive true
    action :delete
  end
else
end
