#
# Cookbook:: arcgis-aws2
# Recipe:: esri
#
# Copyright:: 2018, The Authors, All Rights Reserved.

env 'arcgis_cloud_platform' do
  value 'aws'
  action :create
end

registry_key 'Set ESRI License Registry key to specify cloud platform' do
  key "HKLM\\Software\\Wow6432Node\\ESRI\\License#{node['arcgis']['short_version']}"
  values [{
    :name => 'CLOUD_PLATFORM',
    :type => :string,
    :data => 'EC2'
  }]
  recursive true
  action :create
end

registry_key 'Change IE Start Page to www.esri.com' do
  key 'HKCU\\Software\\Microsoft\\Internet Explorer\\Main'
  values [{
    :name => 'Start Page',
    :type => :string,
    :data => 'www.esri.com'
  }]
  action :create
end

windows_shortcut 'Create Esri Customer Care Link Desktop' do
  shortcut_name 'C:\\Users\\Administrator\\Desktop\\Esri Customer Care.lnk'
  target 'https://my.esri.com'
  iconlocation 'C:\\Program Files\\Internet Explorer\\iexplore.exe,0'
end
