#
# Cookbook:: arcgis-aws2
# Recipe:: portal_wa
#
# Copyright:: 2018, The Authors, All Rights Reserved.

arcgis_enterprise_webadaptor 'Unpack ArcGIS Web Adaptor' do
  setup_archive node['arcgis']['web_adaptor']['setup_archive']
  setups_repo node['arcgis']['repository']['setups']
  run_as_user node['arcgis']['run_as_user']
  only_if { ::File.exist?(node['arcgis']['web_adaptor']['setup_archive']) &&
            !::File.exist?(node['arcgis']['web_adaptor']['setup']) }
  if node['platform'] == 'windows'
    not_if { !Utils.wa_product_code(node['arcgis']['server']['wa_name'],
                                    [node['arcgis']['web_adaptor']['product_code'],
                                     node['arcgis']['web_adaptor']['product_code2']]).nil? }
  else
    not_if { ::File.exist?(::File.join(node['arcgis']['web_adaptor']['install_dir'],
                                       node['arcgis']['web_adaptor']['install_subdir'],
                                      'java/arcgis.war')) }
  end
  action :unpack
end

arcgis_enterprise_webadaptor 'Install Web Adaptor for Portal' do
  install_dir node['arcgis']['web_adaptor']['install_dir']
  setup node['arcgis']['web_adaptor']['setup']
  product_code node['arcgis']['web_adaptor']['product_code2']
  instance_name node['arcgis']['portal']['wa_name']
  if node['platform'] == 'windows'
    not_if {
      !Utils.wa_product_code(node['arcgis']['portal']['wa_name'],
                            [node['arcgis']['web_adaptor']['product_code'],
                             node['arcgis']['web_adaptor']['product_code2']]).nil?
    }
  else
    not_if {
      ::File.exist?(::File.join(node['arcgis']['web_server']['webapp_dir'],
                                node['arcgis']['portal']['wa_name'] + '.war'))
    }
  end
  action :install
end
