#
# Cookbook:: arcgis-aws2
# Recipe:: user
#
# Copyright:: 2018, The Authors, All Rights Reserved.

# Generate random password
Chef::Recipe.send(:include, OpenSSLCookbook::RandomPassword)
node.normal_unless['arcgis']['run_as_password'] = random_password(length: 50, mode: :base64, encoding: 'ASCII')

include_recipe 'arcgis-enterprise::system'

case node['platform']
when 'windows'
  powershell_script 'Set passwords to never expire on all accounts' do
    code 'net accounts /maxpwage:unlimited'
    only_if "[String]::IsNullOrEmpty($(net accounts | Select-String 'Maximum.*Unlimited'))"
  end

  powershell_package 'Install SecurityPolicyDsc' do
    package_name 'SecurityPolicyDsc'
  end

  dsc_resource 'Add Administrators to Replace a process level token policy' do
    resource :UserRightsAssignment
    module_name 'SecurityPolicyDsc'
    property :Policy, 'Replace_a_process_level_token'
    property :Identity, ['Administrators']
  end

  powershell_script "Grant #{node['arcgis']['run_as_user']} permission to host file" do
    code <<-EOH
      icacls 'C:\\Windows\\System32\\drivers\\etc\\hosts' /t /grant "#{node['arcgis']['run_as_user']}:F"
    EOH
    only_if "[String]::IsNullOrEmpty($(icacls 'C:\\Windows\\System32\\drivers\\etc\\hosts' | Select-String 'arcgis:(F)' -SimpleMatch))"
  end
when 'ubuntu'
end
